Package org.zkoss.idom

## Class EntityReference

- java.lang.Object
- - org.zkoss.idom.impl.AbstractItem
  - - org.zkoss.idom.impl.AbstractGroup
    - - org.zkoss.idom.EntityReference

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `org.w3c.dom.EntityReference`, `org.w3c.dom.Node`, `Group`, `Item`

      public class EntityReference
      extends AbstractGroup
      implements org.w3c.dom.EntityReference

  The iDOM entity reference.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.idom.impl.AbstractGroup

      `AbstractGroup.ChildArray, AbstractGroup.ElementMap`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `_name` | The name.

    - ### Fields inherited from class org.zkoss.idom.impl.AbstractGroup

      `_children`

    - ### Fields inherited from interface org.zkoss.idom.Item

      `FIND_BY_PREFIX, FIND_BY_REGEX, FIND_BY_TAGNAME, FIND_IGNORE_CASE, FIND_RECURSIVE`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `EntityReference()` | Constructor.
    `` | `EntityReference​(java.lang.String name)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Gets the name of the item.
    `short` | `getNodeType()` |
    `void` | `setName​(java.lang.String name)` | Sets the name of the item.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.zkoss.idom.impl.AbstractGroup

      `anyElement, appendChild, clone, coalesce, detachChildren, getChildNodes, getChildren, getElement, getElement, getElementIndex, getElementIndex, getElementNames, getElements, getElements, getElements, getElementValue, getElementValue, getFirstChild, getLastChild, hasChildNodes, insertBefore, newChildren, removeChild, replaceChild`

    - ### Methods inherited from class org.zkoss.idom.impl.AbstractItem

      `cloneNode, compareDocumentPosition, detach, equals, getAttributes, getBaseURI, getDocument, getFeature, getLocalName, getLocator, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParent, getParentNode, getPrefix, getPreviousSibling, getText, getTextContent, getUserData, hasAttributes, hashCode, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, match, normalize, setLocator, setNodeValue, setParent, setPrefix, setText, setTextContent, setUserData`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.zkoss.idom.Item

      `detach, getDocument, getLocator, getParent, getText, setLocator, setParent, setText`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Field Detail

    - #### _name

          protected java.lang.String _name

      The name.

  - ### Constructor Detail

    - #### EntityReference

          public EntityReference​(java.lang.String name)

      Constructor.

    - #### EntityReference

          protected EntityReference()

      Constructor.

  - ### Method Detail

    - #### getName

          public final java.lang.String getName()

      Description copied from interface: `Item`
      Gets the name of the item. For vertices that support namespace (implements Namespaceable), it is the same as getTagName.
      Specified by:
        `getName` in interface `Item`
      See Also:
        `Namespaceable.getTagName()`

    - #### setName

          public final void setName​(java.lang.String name)

      Description copied from interface: `Item`
      Sets the name of the item. For vertices that support namespace (implements Namespaceable), it is the same as setTagName.
      Specified by:
        `setName` in interface `Item`
      Overrides:
        `setName` in class `AbstractItem`
      See Also:
        `Namespaceable.setTagName(java.lang.String)`

    - #### getNodeType

          public final short getNodeType()

      Specified by:
        `getNodeType` in interface `org.w3c.dom.Node`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`